# frozen_string_literal: true

RSpec.describe PlanetExpress::ShippingOption do
  describe '#s_shipment?' do
    context 'with S package size' do
      subject { build(:shipping_option, package_size: 'S') }
      it 'returns true' do
        expect(subject.s_shipment?).to eq(true)
      end
    end

    context 'with non S package size' do
      subject { build(:shipping_option, package_size: 'M') }
      it 'returns false' do
        expect(subject.s_shipment?).to eq(false)
      end
    end
  end

  describe '#l_shipment?' do
    context 'with L package size' do
      subject { build(:shipping_option, package_size: 'L') }
      it 'returns true' do
        expect(subject.l_shipment?).to eq(true)
      end
    end

    context 'with non L package size' do
      subject { build(:shipping_option, package_size: 'M') }
      it 'returns false' do
        expect(subject.l_shipment?).to eq(false)
      end
    end
  end
end
